framework:
    secret: 67d829bf61dc5f87a73fd814e2c9f629

doctrine:
    dbal:
        connections:
            default:
                url: sqlite:///%kernel.project_dir%/tests/cache/blog.sqlite
                logging: false
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/tests/TestApp/Entity'
                prefix: 'Algolia\SearchBundle\TestApp\Entity'
                alias: App

jms_serializer:
    handlers:
        datetime:
            default_format: "Y-m-d\\TH:i:sP"
    property_naming:
        id: 'jms_serializer.identical_property_naming_strategy'
    default_context:
        serialization:
            serialize_null: true

services:
    algolia.client:
        alias: algolia_client
        public: true
